WordPress.org

Plugin Reviews

WooCommerce MailChimp

Simple and flexible MailChimp integration for WooCommerce.

13 reviews
Average Rating
4.3 out of 5 stars
Does what it says on the tin...
By , for WP 4.2.2

...and seems to do it very well. Thanks developer, just what I needed!

Does not work
By , for WP 4.2.2

Plugin does not pick up mail chimp lists so unable to select one.

Works fine
By , for WP 3.9.1

I don't know what else to add, other than it works as described? :)

I needed to have a mailchimp signup at checkout.. and now I have one.

Thanks for the work you put into it.

Works well so far
By ,

Will see how this performs going forward, but easy to setup. One suggestion: The error nag for not having an API key could use a little contextual help, maybe a link to the settings page. Cheers to the developers.

Works somewhat
By , for WP 3.8.1

** version 1.2.6 **
Doesn't add everyone creating an order to my list with version 1.2.6. Tried a lot of different settings for the groups, but it seems to randomly pick which Clients to add and which not. (Please note I'm using the Subscribe setting "Order created").

** Version 1.3 **
Broke it down completely for me, as for many others it seems. Rolled back to 1.2.6 and it's working again like before.

ERROR EMAIL: (270) "7" is not a valid Interest Group for the list
WC VERSION: 2.0.20 (recent WC update introduced a lot of issues, so please don't tell me to update)

Works somewhat
By , for WP 3.8.1

** version 1.2.6 **
Doesn't add everyone creating an order to my list with version 1.2.6. Tried a lot of different settings for the groups, but it seems to randomly pick which Clients to add and which not. (Please note I'm using the Subscribe setting "Order created").

** Version 1.3 **
Broke it down completely for me, as for many others it seems. Rolled back to 1.2.6 and it's working again like before.

ERROR EMAIL: (270) "7" is not a valid Interest Group for the list
WC VERSION: 2.0.20 (recent WC update introduced a lot of issues, so please don't tell me to update)

Since latest update i am getting a email with an error received 10 so far
By , for WP 3.8.1

(270) "1" is not a valid Interest Group for the list: Outlook Export

Top notch plugin, well coded!
By , for WP 3.8.1

Great little plugin that I have working on a number of my sites. Seems to work fine with WooCommerce 2.1.2 for me! :)

Was fine until it broke
By , for WP 3.8.1

No longer works since installing WooCommerce 2.1.2
Aware of the problem happening for others too - hope it can be fixed.

Nice plugin
By , for WP 3.8

It works like charm

You must log in to submit a review. You can also log in or register using the form near the top of this page.